
@import url('https://fonts.googleapis.com/css2?family=Amiri:ital,wght@0,400;0,700;1,400;1,700&family=Atma:wght@300;400;500;600;700&family=Be+Vietnam+Pro:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Bricolage+Grotesque:opsz,wght@12..96,200..800&family=Geist:wght@100..900&family=IBM+Plex+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Manrope:wght@200..800&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Nunito+Sans:ital,opsz,wght@0,6..12,200..1000;1,6..12,200..1000&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Plus+Jakarta+Sans:ital,wght@0,200..800;1,200..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Raleway:ital,wght@0,100..900;1,100..900&family=Roboto:ital,wght@0,100..900;1,100..900&family=Rubik:ital,wght@0,300..900;1,300..900&family=Special+Gothic+Expanded+One&family=Twinkle+Star&family=Work+Sans:ital,wght@0,100..900;1,100..900&family=Zain:ital,wght@0,200;0,300;0,400;0,700;0,800;0,900;1,300;1,400&display=swap');

*{
    margin: 0;
    padding: 0;
    font-family: "Inter", sans-serif;
    box-sizing: border-box;
}

body{
    /* background: linear-gradient(150deg, #134e4a); */
    background-color: #134e4a;
    
}

.nav{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 0;
    z-index: 1;
    padding: 2rem;
    background-color: #134e4a

}

.nav ul{
    display: flex;
    flex-direction: row;
    list-style: none;
    column-gap: 1.2rem;
    
}

.nav ul :hover{
    color: #facc15;
    
}

.nav ul li  :hover{
    font-size: 1.2rem;
    transition: transform 0.3 ease-in-out;
    
}

.nav ul li i{
    color: whitesmoke;
    font-size: 1.1rem;
    text-decoration: underline;
}

.title{
    width: fit-content;
    display: flex;
    flex-direction: row;
    column-gap: 0.5rem;
    align-items: center;
    cursor: pointer;
}

.title h3{
    font-size: 1rem;
    color: white;
}

.main-container{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 2.5rem;
    margin-top: 150px;
}

.content-container{
    width: 30%;
    height: auto;
    display: flex;
    flex-direction: column;
    row-gap: 2.5rem;
}

.content-title{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    row-gap: 0.3rem;
    color: white;
}
.content-title h1{
    font: 3.5rem;
    color: #facc15;

}
.content-title p{
    font-size: 1.1rem;
    line-height: 1.3rem;
    font-weight: 400;
    color: #fef9c3ac;

}
.form{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    row-gap: 1.2rem;
}
input{
    padding: 0.9rem 0.8rem;
    border: none;
    outline: none;
    border-radius: 8px;
}

::placeholder{
    font-size: 0.9rem;
    font-weight: 400;
    font-style: italic;
}

button{
    padding: 0.9rem 0.8rem;
    background-color: #facc15;
    color: black;
    outline: none;
    border: none;
    font-size: 0.9rem;
    border-radius: 12px;
    font-weight: 400;
}

/* Display_container */
.meaning-container{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: row;
    gap: 1.2rem;
    border-radius: 8px;
    padding: 1rem;
    align-items: stretch;
    justify-content: center;
    flex-wrap: wrap;
}

.meaning-content{
    width: 29%;
    height: auto;
    display: flex;
    flex-direction: column;
    row-gap: 0.4rem;
    padding: 1rem;
    border-bottom: 1px solid #ececec31;
}

.nameTitle{
    font-size: 1rem;
    color: #fef9c3cd;
    font-weight: 400;
}

.nameMeaning{
    font-style: italic;
    color: #facc15;
    font-size: 1.2rem;
    line-height: 1.5;
}

.nameExplain{
    font-style: italic;
    color: #fef9c3ac;
    font-size: 0.9rem;
    line-height: 1.3rem;
    font-weight: 300;

}

@media (max-width:765px) {


    .nav{
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        position: fixed;
        top: 0;
        padding: 1rem;
        background: linear-gradient(150deg, #134e4a);
    }

    

    .main-container{
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: column;
        align-items: center;
        row-gap: 2.5rem;
        margin-top: 80px;
        padding: 1.5rem;
    }

    .content-container{
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: column;
        row-gap: 2rem;
        margin-top: 80px;
    }

    .meaning-container{
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: column;
        gap: 1rem;
        border-radius: 8px;
        align-items: start;
        justify-content: start;
        padding: 0px;
    }

    .meaning-content{
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: column;
        row-gap: 0.4rem;
        border-bottom: 1px solid #ececec31;
    }

}
